Loading...
Searching...
No Matches
mongocxx::model::delete_one Class Reference

`#include <mongocxx/v_noabi/mongocxx/model/delete_one.hpp>`

## Description

A MongoDB delete operation that removes a single document.

## Public Member Functions

| delete_one (bsoncxx::v_noabi::document::view_or_value filter)
| Constructs a delete operation that will delete the first document matching the filter.
| delete_one (v1::bulk_write::delete_one op)
| Construct with the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const & | collation () const
| Gets the collation option for this delete operation.
delete_one & | collation (bsoncxx::v_noabi::document::view_or_value collation)
| Sets the collation for this delete operation.
bsoncxx::v_noabi::document::view_or_value const & | filter () const
| Gets the filter on this delete operation.
bsoncxx::v_noabi::stdx::optional< v_noabi::hint > const & | hint () const
| Gets the current hint.
delete_one & | hint (v_noabi::hint index_hint)
| Sets the index to use for this operation.
| operator v1::bulk_write::delete_one () const
| Convert to the mongocxx::v1 equivalent.

## Constructor & Destructor Documentation

## delete_one() [1/2]

mongocxx::v_noabi::model::delete_one::delete_one | ( | v1::bulk_write::delete_one | op | ) |

Construct with the mongocxx::v1 equivalent.

## delete_one() [2/2]

mongocxx::v_noabi::model::delete_one::delete_one | ( | bsoncxx::v_noabi::document::view_or_value | filter | ) |

inline

Constructs a delete operation that will delete the first document matching the filter.

Parameters

  filter | Document representing the criteria for deletion.

## Member Function Documentation

## collation() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const & mongocxx::v_noabi::model::delete_one::collation | ( |  | ) | const

inline

Gets the collation option for this delete operation.

Returns
  The optional value of the collation option.

See also
  - https://www.mongodb.com/docs/manual/reference/collation/

## collation() [2/2]

delete_one & mongocxx::v_noabi::model::delete_one::collation | ( | bsoncxx::v_noabi::document::view_or_value | collation | ) |

inline

Sets the collation for this delete operation.

Parameters

  collation | The new collation.

See also
  - https://www.mongodb.com/docs/manual/reference/collation/

## filter()

bsoncxx::v_noabi::document::view_or_value const & mongocxx::v_noabi::model::delete_one::filter | ( |  | ) | const

inline

Gets the filter on this delete operation.

Returns
  The filter to be used for the delete operation.

## hint() [1/2]

bsoncxx::v_noabi::stdx::optional< v_noabi::hint > const & mongocxx::v_noabi::model::delete_one::hint | ( |  | ) | const

inline

Gets the current hint.

Returns
  The current hint, if one is set.

## hint() [2/2]

delete_one & mongocxx::v_noabi::model::delete_one::hint | ( | v_noabi::hint | index_hint | ) |

inline

Sets the index to use for this operation.

Note
  if the server already has a cached shape for this query, it may ignore a hint.

Parameters

  index_hint | Object representing the index to use.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## operator v1::bulk_write::delete_one()

mongocxx::v_noabi::model::delete_one::operator v1::bulk_write::delete_one | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/model/delete_one.hpp